Subject: [IPP] Apple has reviewed the IPP INFRA specification and has comments

From: Michael Sweet <[email-masked]>
Date: Fri, 20 Feb 2015 13:54:16 -0500

The following are Apple's comments for the IPP INFRA specification:

1. Global: Client, Server, Jobs, Documents, Printers, and IPP Binding should be capitalized.

2. Abstract: "through Cloud solutions" is awkward, maybe "Cloud-based solutions"?

3. Section 1, line 285: "IPP does not define" should be "RFC 2911 does not define"

4. Section 1, line 308 (item 2): "communicates to the shared server" should be "communicates with the shared server"

5. Section 3.1, line 384 (item 1): Capitalize "job template"

6. Section 3.1, line 397: "Therefore, this ... specification should define ..." - alternate wording to avoid lowercase "should"?

7. Figure 2: "AAA Framework" in option C is lined through

8. Table 1: First column should be titled "Reported printer-state"

9. Section 4.1.9: "printer-static-resource-ready" should be "printer-static-resource-k-octets-free", "printer-statis-resource-supported" should be "printer-static-resource-k-octets-supported"

10. Figure 7: Add this and any other ABNF to a separate file with informational reference at the end.

11. Table 2: Add missing Deregister-Output-Device operation.

12. Section 4.2.1, line 757: Add "xxx-ready"

13. Section 4.2.1, line 769: "state values" should be "Printer Status attributes"

14. Section 4.2.1, line 772: "Printer Status" instead of "Printer Description"

15. Section 4.2.3, line 798: Add "... or when the Output Device runs out of paper"?

16. Table 3: 'pending-held' state is missing from the table.

17. Section 4.5: Add section reference to the "document-access" operation attribute.

18. Table 5: Create-Job-Subscriptions should be a MAY for the Proxy

19. Table 7: Missing "oauth-authorization-server-uri" attribute, new Note 3 for Infrastructure Printers (CONDITIONALLY REQUIRED for Printers that support OAuth) and MUST NOT for Proxy.

20. Table 7: "printer-static-resource-supported" should be "printer-static-resource-k-octets-supported"

21. Table 8: "printer-static-resource-ready" should be "printer-static-resource-k-octets-free"

22. Table 10: Fix width of reference column to avoid wrapping

23. Section 5.x: Remove underlining for "section 8.3 of [RFC2911]"

24. Section 5.x: Reword "output-device-uuid" to be "It provides the identity of the Output Device that is making the request."

25. Section 5.1.1, line 1069: New paragraph before Note:, add "... and MUST NOT be accepted by the Infrastructure Printer"

26. Section 5.3: Reword "If the 'fetch-status-code' indicates success" since we don't send it if successful-ok.

27. Section 5.3.1, line 1168: New paragraph before Note:, add "... and MUST NOT be accepted by the Infrastructure Printer"

28. Section 5.5, line 1233: delete "group" from "operation group".

29. Section 5.5.1, lines 1263 and 1268: change "data to fetch" to "data being fetched"?

30. Section 5.7: Add back reference to section 4.2.1.

31. Section 5.7.1, lines 1380-1381: "MUST ALSO" should be "MUST also", "job-state" should be "output-device-job-states", add reference to section 7.1.5 for that attribute.

32. Section 5.7.1, line 1385: "MUST ALSO" should be "MUST also"

33. Section 5.7.2, line 1401: Put single quotes around 'canceled', add "If returned, the Infrastructure Printer MUST also return the "output-device-job-states" (section 7.1.5) operation attribute."

34. Section 5.7.2, line 1409: Missing double quote around "job-ids".

35. Section 7.1.1, line 1690: Change "Each collection value" to "The collection value"

36. Section 7.1.1, line 1692: Change "no authentication information is supplied" to "no authentication information is necessary"?

37. Section 7.1.3, line 1751: Change "attributes whose value is 0" to "attributes whose values are 0"?

38. Section 7.1.4: Add section references to new operations.

39. Section 7.1.6: Add reference to RFC 4122 for UUIDs.

40. Section 7.4.2, line 1801: Use single quotes around 'document-format-accepted'.

41. Section 7.4.5: I'd like to make the path prefix a MUST for "/ipp/resource"

42. Section 11.x, lines 1921, 1931, 1937, 1948, 1954: A bunch of broken "section 0" references.

43. Section 14.4: Add Print-URI and Send-URI extensions

44. Section 15.1: Fix PWG5100.1 reference, add missing UNICODE and UAX15 references.

45. Section 15.2: Move IPPS to normative reference, add ABNF informative reference.

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp